/*  RAxML-HPC, a program for sequential and parallel estimation of phylogenetic trees 
 *  Copyright March 2006 by Alexandros Stamatakis
 *
 *  Partially derived from
 *  fastDNAml, a program for estimation of phylogenetic trees from sequences by Gary J. Olsen
 *  
 *  and 
 *
 *  Programs of the PHYLIP package by Joe Felsenstein.
 *
 *  This program is free software; you may redistribute it and/or modify its
 *  under the terms of the GNU General Public License as published by the Free
 *  Software Foundation; either version 2 of the License, or (at your option)
 *  any later version.
 *
 *  This program is distributed in the hope that it will be useful, but
 *  WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 *  or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 *  for more details.
 * 
 *
 *  For any other enquiries send an Email to Alexandros Stamatakis
 *  stamatak@ics.forth.gr
 *
 *  When publishing work that is based on the results from RAxML-HPC please cite:
 *  
 *  Alexandros Stamatakis: "An Efficient Program for phylogenetic Inference Using Simulated Annealing". 
 *  Proceedings of IPDPS2005,  Denver, Colorado, April 2005.
 *  
 *  AND
 *
 *  Alexandros Stamatakis, Thomas Ludwig, and Harald Meier: "RAxML-III: A Fast Program for Maximum Likelihood-based Inference of Large Phylogenetic Trees". 
 *  In Bioinformatics 21(4):456-463.
 */

#ifdef PARALLEL
int myId, numOfWorkers;
#endif
infoList iList;
FILE   *INFILE, *permutationFile, *logFile, *infoFile;
int treeStringLength;
char *optarg;                  
int  optind,opterr,optopt;      
int Multiple = 1;
int Thorough = 0;
char *seq_data_str = NULL, run_id[40] = "", workdir[2048] = "", 
  seq_file[2048] = "", tree_file[2048]="", weightFileName[2048] = "";
bestlist *bt;
char *likelihood_key   = "likelihood";
char *ntaxa_key        = "ntaxa";
char *opt_level_key    = "opt_level";
char *smoothed_key     = "smoothed";

char permFileName[1024], resultFileName[1024], 
  logFileName[1024], checkpointFileName[1024], infoFileName[1024]; 
int buildConsensus = 1; 
int consensusTreeCounter = 0;
double masterTime;
int checkPointCounter = 0;
int allocCount = 0;
int optimizeTTinvocations = 1;
int optimizeRatesInvocations = 1;
int optimizeRateCategoryInvocations = 1;
int optimizeAlphaInvocations = 1;
